Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wowza.wms.plugin.integration.liverecord
Interface ILiveStreamRecord

All Known Implementing Classes:
  LiveStreamRecorder, LiveStreamRecorderFLV, LiveStreamRecorderMediaWriter, LiveStreamRecorderMP4

    public interface ILiveStreamRecord

Method Summary
`String` | `getFilePath()`
`Object` | `getWriteLock()`
`boolean` | `isMoveFirstVideoFrameToZero()`
`boolean` | `isRecordData()`
`boolean` | `isStartOnKeyFrame()`
`boolean` | `isVersionFile()`
`void` | `onPublish()`
`void` | `onUnPublish()`
`void` | `setMoveFirstVideoFrameToZero(boolean moveFirstVideoFrameToZero)`
`void` | `setRecordData(boolean recordData)`
`void` | `setStartOnKeyFrame(boolean startOnKeyFrame)`
`void` | `setVersionFile(boolean versionFile)`
`void` | `startRecording(com.wowza.wms.stream.IMediaStream stream, boolean append)`
`void` | `startRecording(com.wowza.wms.stream.IMediaStream stream, String filePath, boolean append)`
`void` | `startRecording(com.wowza.wms.stream.IMediaStream stream, String filePath, boolean append, java.util.Map extraMetadata)`
`void` | `stopRecording()`
`void` | `work()`
`void` | `workStop()`

Method Detail

### getFilePath

    String getFilePath()

### getWriteLock

    Object getWriteLock()

### isMoveFirstVideoFrameToZero

    boolean isMoveFirstVideoFrameToZero()

### isRecordData

    boolean isRecordData()

### isStartOnKeyFrame

    boolean isStartOnKeyFrame()

### isVersionFile

    boolean isVersionFile()

### onPublish

    void onPublish()

### onUnPublish

    void onUnPublish()

### setMoveFirstVideoFrameToZero

    void setMoveFirstVideoFrameToZero(boolean moveFirstVideoFrameToZero)

### setRecordData

    void setRecordData(boolean recordData)

### setStartOnKeyFrame

    void setStartOnKeyFrame(boolean startOnKeyFrame)

### setVersionFile

    void setVersionFile(boolean versionFile)

### startRecording

    void startRecording(com.wowza.wms.stream.IMediaStream stream,
                        boolean append)

### startRecording

    void startRecording(com.wowza.wms.stream.IMediaStream stream,
                        String filePath,
                        boolean append)

### startRecording

    void startRecording(com.wowza.wms.stream.IMediaStream stream,
                        String filePath,
                        boolean append,
                        java.util.Map extraMetadata)

### stopRecording

    void stopRecording()

### work

    void work()

### workStop

    void workStop()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD